import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';
import * as fs from 'fs';

export const up = async () => {
  const db: Db = await getDb();
  const data = fs.readFileSync('/app/src/migrations/data/newsletter-data.json', 'utf8');
  const parsedData = JSON.parse(data);
  db.collection('newslettersubscriptions').insertMany(parsedData);
};

export const down = async () => {
  const db: Db = await getDb();
  /*
      Code you downgrade script here!
   */
};
